> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Payout Quote

> Request a quote from a given provider for a payout. Returns estimated fiat amount and fees.



## OpenAPI

````yaml /openapi.yaml post /payouts/quote
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payouts/quote:
    post:
      tags:
        - Payouts
      summary: Request Payout Quote
      description: >-
        Request a quote from a given provider for a payout. Returns estimated
        fiat amount and fees.
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    walletId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: The wallet ID to use for determining the network.
                      example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                    asset:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Erc20
                            amount:
                              type: string
                              pattern: ^\d+$
                              description: >-
                                The amount of the asset to be paid out in
                                minimum denomination.
                            contract:
                              type: string
                              description: The ERC-20 contract address.
                          required:
                            - kind
                            - amount
                            - contract
                          title: ERC-20 Asset
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Spl
                                - Spl2022
                            amount:
                              type: string
                              pattern: ^\d+$
                              description: >-
                                The amount of the asset to be paid out in
                                minimum denomination.
                            mint:
                              type: string
                              description: The token mint address.
                          required:
                            - kind
                            - amount
                            - mint
                          title: SPL/SPL-2022 Asset
                      description: The asset to be paid out.
                    fiatCurrency:
                      type: string
                      pattern: ^[A-Z]{3}$
                      description: ISO-4217 fiat currency code for the payout quote.
                    provider:
                      type: string
                      enum:
                        - Borderless
                    country:
                      type: string
                      pattern: ^[A-Z]{2}$
                      description: >-
                        ISO-3166 Alpha-2 country code for the payout
                        destination.
                  required:
                    - walletId
                    - asset
                    - fiatCurrency
                    - provider
                    - country
                  title: Borderless Create Payout Quote
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  provider:
                    type: string
                    enum:
                      - Borderless
                    description: Payout provider.
                  asset:
                    oneOf:
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Erc20
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of the asset to be paid out in minimum
                              denomination.
                          contract:
                            type: string
                            description: The ERC-20 contract address.
                          network:
                            $ref: '#/components/schemas/Network'
                          metadata:
                            type: object
                            properties:
                              name:
                                type: string
                                description: The display name of the token.
                              symbol:
                                type: string
                                description: The ticker symbol of the token.
                              decimals:
                                type: integer
                                description: Number of decimals used by the token.
                              verified:
                                type: boolean
                                description: >-
                                  Whether the token is verified by DFNS as
                                  legitimate.
                            required:
                              - decimals
                        required:
                          - kind
                          - amount
                          - contract
                          - network
                        title: ERC-20 Asset
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Spl
                              - Spl2022
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of the asset to be paid out in minimum
                              denomination.
                          mint:
                            type: string
                            description: The token mint address.
                          network:
                            $ref: '#/components/schemas/Network'
                          metadata:
                            type: object
                            properties:
                              name:
                                type: string
                                description: The display name of the token.
                              symbol:
                                type: string
                                description: The ticker symbol of the token.
                              decimals:
                                type: integer
                                description: Number of decimals used by the token.
                              verified:
                                type: boolean
                                description: >-
                                  Whether the token is verified by DFNS as
                                  legitimate.
                            required:
                              - decimals
                        required:
                          - kind
                          - amount
                          - mint
                          - network
                        title: SPL/SPL-2022 Asset
                    description: >-
                      The asset being quoted, enriched with network and
                      metadata.
                  timestamp:
                    type: string
                    format: date-time
                    description: ISO 8601 timestamp when the quote was generated.
                  quotes:
                    type: array
                    items:
                      type: object
                      properties:
                        quoteId:
                          type: string
                          description: Quote ID from the provider, if applicable.
                        offer:
                          type: object
                          properties:
                            fiatCurrency:
                              type: string
                              pattern: ^[A-Z]{3}$
                              description: ISO-4217 fiat currency code.
                            amount:
                              type: number
                              description: >-
                                Amount of fiat currency to be received net of
                                fees.
                            fees:
                              type: number
                              description: Total fees associated with the transfer.
                          required:
                            - fiatCurrency
                            - amount
                            - fees
                          description: The offer from the provider.
                      required:
                        - offer
                    description: Array of quotes from the provider(s).
                required:
                  - provider
                  - asset
                  - timestamp
                  - quotes
      security:
        - authenticationToken: []
components:
  schemas:
    Network:
      type: string
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet3
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHolesky
        - EthereumHoodi
        - FantomOpera
        - FantomTestnet
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kaspa
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````